path: /build/build/st-x11-terms-0.9.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} x11-terms/st -pv -t && \
    emerge -j ${JOBS} --nodeps x11-terms/st
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/st && luet-portage --dir /pkgdir/st
    x11-terms/st && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:d85d403d951b105e1d3d737cad865408ebae735cb9f6f43d9d915dd931aee50e
  package:
    name: st
    version: 0.9.1
    category: x11-terms
    requires:
    - name: macaroni-funtoo-race11
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: simple terminal implementation for X
    uri:
    - https://st.suckless.org/
    license: MIT-with-advertising
    buildtimestamp: 2024-04-21 17:14:34.362398272 +0000 UTC m=+1895.251474475
    labels:
      DEPEND: '>=sys-libs/ncurses-6.0:0= media-libs/fontconfig x11-libs/libX11 x11-libs/libXft
        virtual/pkgconfig x11-base/xorg-proto'
      IUSE: savedconfig savedconfig
      RDEPEND: '>=sys-libs/ncurses-6.0:0= media-libs/fontconfig x11-libs/libX11 x11-libs/libXft'
      emerge.packages: x11-terms/st
      kit: desktop-kit
      original.package.name: x11-terms/st
      original.package.slot: "0"
      original.package.version: 0.9.1
    treedir: /build/packages
  package_dir: /pkgdir/st
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 2e76126b63d7cde2f88f14f9124b9327b90afe52b313547063f0f7a6f2cd893f
compressiontype: zstd
files:
- etc/portage/savedconfig/x11-terms/st-0.9.1
- usr/bin/st
- usr/share/applications/st-st.desktop
- usr/share/doc/st-0.9.1/TODO.bz2
- usr/share/man/man1/st.1.bz2
- var/db/pkg/x11-terms/st-0.9.1/BUILD_TIME
- var/db/pkg/x11-terms/st-0.9.1/CATEGORY
- var/db/pkg/x11-terms/st-0.9.1/CBUILD
- var/db/pkg/x11-terms/st-0.9.1/CC
- var/db/pkg/x11-terms/st-0.9.1/CFLAGS
- var/db/pkg/x11-terms/st-0.9.1/CHOST
- var/db/pkg/x11-terms/st-0.9.1/CONTENTS
- var/db/pkg/x11-terms/st-0.9.1/COUNTER
- var/db/pkg/x11-terms/st-0.9.1/CXXFLAGS
- var/db/pkg/x11-terms/st-0.9.1/DEFINED_PHASES
- var/db/pkg/x11-terms/st-0.9.1/DEPEND
- var/db/pkg/x11-terms/st-0.9.1/DESCRIPTION
- var/db/pkg/x11-terms/st-0.9.1/EAPI
- var/db/pkg/x11-terms/st-0.9.1/FEATURES
- var/db/pkg/x11-terms/st-0.9.1/HOMEPAGE
- var/db/pkg/x11-terms/st-0.9.1/INHERITED
- var/db/pkg/x11-terms/st-0.9.1/IUSE
- var/db/pkg/x11-terms/st-0.9.1/IUSE_EFFECTIVE
- var/db/pkg/x11-terms/st-0.9.1/KEYWORDS
- var/db/pkg/x11-terms/st-0.9.1/LDFLAGS
- var/db/pkg/x11-terms/st-0.9.1/LICENSE
- var/db/pkg/x11-terms/st-0.9.1/NEEDED
- var/db/pkg/x11-terms/st-0.9.1/PF
- var/db/pkg/x11-terms/st-0.9.1/RDEPEND
- var/db/pkg/x11-terms/st-0.9.1/REQUIRES
- var/db/pkg/x11-terms/st-0.9.1/SIZE
- var/db/pkg/x11-terms/st-0.9.1/SLOT
- var/db/pkg/x11-terms/st-0.9.1/USE
- var/db/pkg/x11-terms/st-0.9.1/environment.bz2
- var/db/pkg/x11-terms/st-0.9.1/repository
- var/db/pkg/x11-terms/st-0.9.1/st-0.9.1.ebuild
package_cacheimage: ""
runtime:
  name: st
  version: 0.9.1
  category: x11-terms
  requires:
  - name: ncurses
    version: '>=0'
    category: sys-libs
  - name: libX11
    version: '>=0'
    category: x11-libs
  - name: libXft
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: simple terminal implementation for X
  uri:
  - https://st.suckless.org/
  license: MIT-with-advertising
  labels:
    DEPEND: '>=sys-libs/ncurses-6.0:0= media-libs/fontconfig x11-libs/libX11 x11-libs/libXft
      virtual/pkgconfig x11-base/xorg-proto'
    IUSE: savedconfig savedconfig
    RDEPEND: '>=sys-libs/ncurses-6.0:0= media-libs/fontconfig x11-libs/libX11 x11-libs/libXft'
    emerge.packages: x11-terms/st
    kit: desktop-kit
    original.package.name: x11-terms/st
    original.package.slot: "0"
    original.package.version: 0.9.1
